[![License](https://img.shields.io/badge/license-GNU_GPLv3-orange.svg)](https://github.com/mkulesh/microMathematics/blob/master/LICENSE)
![Release Status](https://img.shields.io/github/v/release/mkulesh/microMathematics)

# <img src="https://github.com/mkulesh/microMathematics/blob/master/images/icon.png" align="center" height="48" width="48"> "microMathematics Plus - Extended Visual Calculator"

With microMathematics Plus, not only can you perform mathematical calculations in naturally readable form but you can also create and manage your own collection of interactive formulas!

microMathematics Plus is a revolutionary new kind of mobile calculator. It is a scientific graphing calculator and function plotter on Android oriented around a worksheet. It features live editing of mathematical identities combined with highly accurate computations.

This app is not only for students. Anyone who enjoys mathematics or requires more than just a basic calculator will benefit from microMathematics' amazing calculations and plotting.

[<img src="https://play.google.com/intl/en_us/badges/images/generic/en_badge_web_generic.png"
      alt="Get it on Google Play" height="110">](https://play.google.com/store/apps/details?id=com.mkulesh.micromath.plus)
[<img src="https://gitlab.com/fdroid/artwork/raw/master/badge/get-it-on.png"
      alt="Get it on F-Droid" height="110">](https://f-droid.org/packages/com.mkulesh.micromath.plus)

## Benefits and features:

* Verification, validation, documentation and re-use of mathematical calculations
* Works on smartphone or tablet in portrait and landscape mode
* Supports all commonly used mathematical operations
* Mathematical expressions are written in an intuitive and naturally readable form
* Supports SI and non-SI units (including units of information)
* Powerful mathematical touch-screen editor with undo function which makes editing easier
* You can perform multiple calculations and subsequently correct or change all used formulas
* It is possible to store intermediate results into 1D, 2D, or 3D array that can improve calculation performance
* Mathematical expressions are collected in a document, that includes not only formulas and plots, but also additional text and images ([SVG format](https://en.wikipedia.org/wiki/Scalable_Vector_Graphics) is also supported)
* You can store your document on an SD card and export it into [LaTeX format](https://www.latex-project.org/) or an image (SD writing permission is needed)
* SD card on Android 6+ is also supported
* The app contains a detailed "How to use" page and several examples
* Supports different color themes
* Supports data import from ASCII files
* Integration with [SMath Studio](https://en.smath.info): SMath Studio is able to open workshets stored in microMathematics, see [this document](https://github.com/mkulesh/microMathematics/wiki/Integration-with-SMath-Studio) for details. Documents from SMath Studio can also be opened in microMathematics.

## Screenshots:

![Example of a function plot](https://github.com/mkulesh/microMathematics/blob/master/images/screenshots/android-phone/cosine_transform.png)
![Example of a 3D plot](https://github.com/mkulesh/microMathematics/blob/master/images/screenshots/android-phone/valentine.png)
![Toolbar](https://github.com/mkulesh/microMathematics/blob/master/images/screenshots/android-10-inch/toolbar_settings.png)

For more screenshots, see directory images/screenshots.

## Documentation
* [Supported Functions Overview](http://htmlpreview.github.io/?https://github.com/mkulesh/microMathematics/blob/master/doc/html/functions_overview.html)
* [Supported Units Overview](http://htmlpreview.github.io/?https://github.com/mkulesh/microMathematics/blob/master/doc/html/units_overview.html)
* [Supported Units Of Information](http://htmlpreview.github.io/?https://github.com/mkulesh/microMathematics/blob/master/doc/html/units_of_information.html)
* [The latest PDF version of the User Manual](https://docs.google.com/viewer?url=https://github.com/mkulesh/microMathematics/raw/supplement/doc/microMathematics-v2.22.1.pdf)

## Posts on Habr (in Russian)

* [Математический пакет для Android своими руками](https://habr.com/post/250727/)
* [Математический пакет для Android — «Микро-Математика» — теперь с открытым исходным кодом](https://habr.com/post/334670/)
* [Математический пакет для Android “Микро-Математика”: что нового?](https://habr.com/post/350286/)

## Reviews and publications:

* [Press Release: Introducing microMathematics: the First Spreadsheet Oriented Mathematical Calculator for Android](http://www.androidappsreview.com/2014/09/29/micro-mathematics-press-release/)
* [Advanced calculator to solve the most complex mathematical equations smart phone](http://mn1professional.blogspot.de/2015/12/advanced-calculator-to-solve-most.html)
* [«Микро-математика»: формулы — это просто (in Russian)](http://4pda.ru/2015/09/01/241701/)
* [microMathematics — отличный научный калькулятор и графопостроитель на Android (in Russian)](https://lifehacker.ru/2015/10/21/micro-mathematics/)
* [MathCAD для Android..? (In Russian)](http://svchushki.blogspot.de/2017/04/mathcad-android.html)
* [Micro Mathematics : Android Math Book Demo (Video)](https://www.youtube.com/watch?v=eUzF1gXd6rc&feature=player_embedded)
* [How to Use microMathematics (Video)](https://www.youtube.com/watch?v=-gS3lz6Ijdc&feature=player_embedded)

## Languages

* English
* Russian
* German
* Brazilian Portuguese
* Chinese
* Spanish

## Authors

* Mikhail Kulesh (core development, German/Russian translation), mikhail.kulesh@gmail.com
* Caio Roberto Ramos da Silva (Brazilian Portuguese translation), caiorrs@gmail.com
* Yubin Hsu (Chinese translation), yubin.taiwan@gmail.com
* Linsui (Chinese translation), linsui555@gmail.com
* Diego Sanguinetti (Spanish translation)

## License

This software is published under the *GNU General Public License, Version 3*

Copyright (C) 2014-2022 by Mikhail Kulesh

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program.

If not, see [www.gnu.org/licenses](https://www.gnu.org/licenses).

## Used Open Source Libraries

This App depends or includes the following third-party libraries or code fragments:
* [The Android Support v7 Library](https://developer.android.com/topic/libraries/support-library/packages.html)
* [The Apache Commons Mathematics Library](https://commons.apache.org/proper/commons-math)
* [JScience - Java(TM) Tools and Libraries for the Advancement of Sciences](http://jscience.org)
* [HoloColorPicker Library](https://github.com/LarsWerkman/HoloColorPicker)
* [AndroidSVG Library](https://github.com/BigBadaboom/androidsvg)
* [Ghost Commander Engine](https://sourceforge.net/projects/ghostcommander)
